"""Geometric fields for rooms

Revision ID: 8e3972ac4bc4
Revises: 390b4b4f4834
Create Date: 2018-08-14 15:37:35.326836

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "8e3972ac4bc4"
down_revision = "390b4b4f4834"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("rooms", sa.Column("floor", sa.String(), nullable=True))
    op.add_column("rooms", sa.Column("latitude", sa.Float(), nullable=True))
    op.add_column("rooms", sa.Column("longitude", sa.Float(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("rooms", "longitude")
    op.drop_column("rooms", "latitude")
    op.drop_column("rooms", "floor")
    # ### end Alembic commands ###
